'use strict';

// To enable runtime assertions, import this assert() into assertions.js. 

function assert(value, test) {
	if (!test(value)) {
		throw Error(`Assertion ${test.name} failed on ${value != null && isNaN(value) ? 'NaN' : JSON.stringify(value)}.`);
	}
}

const log = console.log.bind(window.console);		// By binding to window.console, we can keep the reported line numbers accurate.

export {
	assert,
	log
};