'use strict';

/*
 * An abstraction for visualizing the mazes, so we can swap out the SVG renderer if we want to.
 * 
 */

import { assertIsNotNull } from './assertions.js';
import { drawPolygon, drawPolyline, render } from './svg.js';

function getTileRenderer(tile) {
	assertIsNotNull(tile);
	return () => drawPolygon(tile);
}

function getPathRenderer(path) {
	assertIsNotNull(path);
	return () => drawPolyline(path);
}

function visualize(renderers) {
	return render(renderers);
}

export {
	getTileRenderer,
	getPathRenderer,
	visualize
};